Name:          libquotient
Version:       0.8.1.2
Release:       2mamba
Summary:       A Qt library to write cross-platform clients for Matrix
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://quotient-im.github.io/libQuotient/
Source:        https://github.com/quotient-im/libQuotient.git/%{version}/libQuotient-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libolm-devel
BuildRequires: libopenssl-devel
BuildRequires: libqtkeychain-qt6-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt6-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
A Qt library to write cross-platform clients for Matrix.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n libQuotient-%{version}

%build
%cmake \
    -DBUILD_WITH_QT6=ON \
    -DQuotient_ENABLE_E2EE=ON

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libQuotientQt6.so.*
%doc COPYING LICENSES

%files devel
%defattr(-,root,root)
%{_bindir}/quotest
%dir %{_includedir}/Quotient
%{_includedir}/Quotient/*
%dir %{_libdir}/cmake/QuotientQt6
%{_libdir}/cmake/QuotientQt6/QuotientQt6*.cmake
%{_libdir}/libQuotientQt6.so
%{_libdir}/pkgconfig/QuotientQt6.pc
%{_datadir}/ndk-modules/Android.mk
%doc README.md

%changelog
* Sat Mar 09 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.1.2-2mamba
- rebuilt with qt6 subpackages

* Wed Sep 13 2023 Automatic Build System <autodist@mambasoft.it> 0.8.1.2-1mamba
- automatic version update by autodist

* Sun Aug 27 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.1.1-1mamba
- package created using the webbuild interface
